GET
/workflows/{workflow_id}Authentication
cookieSessionapiKey
required
Encrypted session cookie issued after registration or login.
cookie: sessionParameters
workflow_idpath
required
No additional description.
string · uuidResponses
200
Workflow details
application/json
{
"allOf": [
{
"type": "object",
"properties": {
"id": {
"type": "string",
"format": "uuid"
},
"name": {
"type": "string"
},
"payload": {
"type": "string",
"description": "Workflow-kind-specific JSON encoded as a string"
},
"kind": {
"type": "string",
"enum": [
"HEARTBEAT",
"CONTAINER"
]
},
"build_status": {
"type": "string",
"enum": [
"QUEUED",
"STARTED",
"COMPLETED",
"FAILED",
"CANCELED"
]
},
"interval": {
"type": "integer",
"description": "Schedule interval in minutes"
},
"consecutive_job_failures_count": {
"type": "integer",
"minimum": 0
},
"max_consecutive_job_failures_allowed": {
"type": "integer",
"minimum": 3,
"maximum": 100
},
"created_at": {
"type": "string",
"format": "date-time"
},
"updated_at": {
"type": "string",
"format": "date-time"
},
"terminated_at": {
"type": "string",
"format": "date-time"
},
"log_retention": {
"type": "boolean"
}
}
},
{
"type": "object",
"properties": {
"generation": {
"type": "integer",
"minimum": 0
}
}
}
]
}401
Missing or invalid session
404
Resource not found
429
Ingress rate or connection limit exceeded for the client address
